Authentication scopes —
taxes:adminFor more information, refer to Authentication scopes.
Webhook handler ready — Set up a webhook endpoint to listen for deletion confirmations.
- Subscribe to
TAX_EXEMPTION.*events.
For more information, refer to Implementing webhooks.
- Subscribe to
Upvest offers the option of deleting tax exemption orders.
A complete deletion of an existing tax exemption order is only possible if the associated end users have not yet claimed a tax exemption in the current year. If they nevertheless wish to cancel the tax exemption for this and all subsequent tax years—that is, automatic renewal is no longer applicable—the DELETE operation can be executed.
If the tax exemption amounts have already been used in previous transactions, the associated tax exemption will remain active and the deletion request will fail.
A tax exemption can be deleted with the following request:
DELETE /tax_exemptions/{tax_exemption_id}
| Path parameter | Description | Example value |
|---|---|---|
tax_exemption_id | Required: The identifier for the tax exemption that is to be deleted. | f1a57a04-1a89-4dab-ae3a-ff9b2a9377c1 |
If a tax exemption order has been successfully deleted, a corresponding webhook is triggered as described in the 'Tax exemptions webhooks' section.